package com.bwie.common.domain.request;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Classname StudentRequest
 * @Description TODO
 * @Date 2024/7/25 上午8:51
 * @Created by 杨旭飞
 */

@Data
public class StudentRequest {
    /**
     * 学生编号
     */
    private Integer stuId;
    /**
     * 学生姓名
     */
    private String stuName;
    /**
     * 年龄
     */
    private Integer stuAge;
    /**
     * 学生性别
     */
    private String stuSex;
    /**
     * 学生成绩
     */
    private Integer stuScore;


    public Integer getStuId() {
        return stuId;
    }

    public void setStuId(Integer stuId) {
        this.stuId = stuId;
    }

    public String getStuName() {
        return stuName;
    }

    public void setStuName(String stuName) {
        this.stuName = stuName;
    }

    public Integer getStuAge() {
        return stuAge;
    }

    public void setStuAge(Integer stuAge) {
        this.stuAge = stuAge;
    }

    public String getStuSex() {
        return stuSex;
    }

    public void setStuSex(String stuSex) {
        this.stuSex = stuSex;
    }

    public Integer getStuScore() {
        return stuScore;
    }

    public void setStuScore(Integer stuScore) {
        this.stuScore = stuScore;
    }

    public StudentRequest() {
    }

    public StudentRequest(Integer stuId, String stuName, Integer stuAge, String stuSex, Integer stuScore) {
        this.stuId = stuId;
        this.stuName = stuName;
        this.stuAge = stuAge;
        this.stuSex = stuSex;
        this.stuScore = stuScore;
    }
}
