package com.bwie.student.controller;

import com.bwie.common.domain.Student;
import com.bwie.student.StudentApplication;
import com.bwie.student.service.impl.StudentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.Bean;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import java.util.Set;

/**
 * @Classname StuController
 * @Description TODO
 * @Date 2024/7/25 上午8:55
 * @Created by 杨旭飞
 */
@RestController
@RequestMapping("/student")
public class StuController {

    @Autowired
    private StudentService studentService;

    public void test() {
//      创建HashMap对象。（10 分）
        HashMap<Integer, Student> hashMap = new HashMap<>();
//      创建两个学生对象。（10 分）
        Student student1 = new Student(1, "yangpeng", 18, "男", 100);
        Student student2 = new Student(2, "yangxufei", 18, "男", 100);
//      保存到HashMap集合中，键为学生编号，值为学生对象。（30 分）
         hashMap.put(student1.getStuId(), student1);
         hashMap.put(student2.getStuId(), student2);

//      三种方式遍历输出集合中的元素信息。（30 分）

        System.out.println("第一种遍历方式");
        for (Map.Entry<Integer, Student> entry : hashMap.entrySet()) {
            System.out.println(entry.getKey() + ":" + entry.getValue());
        }

        System.out.println("第二种遍历方式");
        for (Integer key : hashMap.keySet()) {
            System.out.println(key + ":" + hashMap.get(key));
        }
        System.out.println("第三种遍历方式");
        Set<Integer> set = hashMap.keySet();
        Iterator<Integer> iterator = set.iterator();
        while (iterator.hasNext()) {
            Integer key = iterator.next();
            System.out.println(key + ":" + hashMap.get(key));
        }

    }


    @SpringBootApplication
    @EnableFeignClients

    public class StudentApplication {
        public final void main(String[] args) {
            test();
            SpringApplication.run(com.bwie.student.StudentApplication.class);
        }
    }

}

